player_planner_enable_req Struct Reference

Request/reply: Enable/disable robot motion. More...

`#include <player_interfaces.h>`

## Public Attributes

uint8_t | state
| state: TRUE to enable, FALSE to disable

## Detailed Description

Request/reply: Enable/disable robot motion.

To enable or disable the planner, send a PLAYER_PLANNER_REQ_ENABLE request. When disabled, the planner will stop the robot. When enabled, the planner should resume plan execution. Null response.

The documentation for this struct was generated from the following file:

- player_interfaces.h

Last updated 12 September 2005 21:38:45